# class WebAudioContext

#### package lime.media

Available on all platforms

### Constructor

###

`new ()`

### Variables

###

`read onlyactiveSourceCount:Int`

###

`read onlycurrentTime:Float`

###

`read onlydestination:Dynamic`

###

`read onlylistener:Dynamic`

###

`oncomplete:Dynamic`

###

`read onlysampleRate:Float`

### Methods

###

`createAnalyser ():Dynamic`

###

`createBiquadFilter ():Dynamic`

###

`createBuffer (buffer:Dynamic, mixToMono:Bool):Dynamic`

`createBuffer (numberOfChannels:Int, numberOfFrames:Int, sampleRate:Float):Dynamic`

###

`createBufferSource ():Dynamic`

###

`createChannelMerger (?numberOfInputs:Int):Dynamic`

###

`createChannelSplitter (?numberOfOutputs:Int):Dynamic`

###

`createConvolver ():Dynamic`

###

`createDelay (?maxDelayTime:Float):Dynamic`

###

`createDynamicsCompressor ():Dynamic`

###

`createGain ():Dynamic`

###

`createMediaElementSource (mediaElement:Dynamic):Dynamic`

###

`createMediaStreamSource (mediaStream:Dynamic):Dynamic`

###

`createOscillator ():Dynamic`

###

`createPanner ():Dynamic`

###

`createScriptProcessor (bufferSize:Int, ?numberOfInputChannels:Int, ?numberOfOutputChannels:Int):Dynamic`

###

`createWaveShaper ():Dynamic`

###

`createWaveTable (real:Dynamic, imag:Dynamic):Dynamic`

###

`decodeAudioData (audioData:Dynamic, successCallback:Dynamic, ?errorCallback:Dynamic):Void`

###

`startRendering ():Void`